Update model pricing
curl --request PUT \
--url https://api.avidoai.com/v0/model-pricing/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"inputCostPer1kTokens": 0.0025,
"outputCostPer1kTokens": 0.01,
"currency": "USD"
}
'import requests
url = "https://api.avidoai.com/v0/model-pricing/{id}"
payload = {
"inputCostPer1kTokens": 0.0025,
"outputCostPer1kTokens": 0.01,
"currency": "USD"
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({inputCostPer1kTokens: 0.0025, outputCostPer1kTokens: 0.01, currency: 'USD'})
};
fetch('https://api.avidoai.com/v0/model-pricing/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"modelId": "gpt-4o-2024-08-06",
"inputCostPer1kTokens": 0.0025,
"outputCostPer1kTokens": 0.01,
"currency": "USD"
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Model Pricing
Update model pricing
Updates an existing model pricing entry
PUT
/
v0
/
model-pricing
/
{id}
Update model pricing
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the model pricing entry
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Model pricing data to update
Response
Successfully updated model pricing entry
Successful response containing model pricing data
Pricing configuration for an LLM model
Show child attributes
Show child attributes
⌘I